Followup-For: Bug #892710
Control: found -1 4.1.1-2
Control: found -1 4.1.0-2

Hi,

unfortunately i{tcl,tk}3-dev in stretch did not provide a virtual
package, so you'll need Breaks+Replaces or Conflicts against the real
packages. (Sorry, didn't check the -dev packages in detail, just assumed
they worked similarily to the -doc packages.)

  Selecting previously unselected package tcl-itcl4-dev:amd64.
  Preparing to unpack .../tcl-itcl4-dev_4.1.1-2_amd64.deb ...
  Unpacking tcl-itcl4-dev:amd64 (4.1.1-2) ...
  dpkg: error processing archive 
/var/cache/apt/archives/tcl-itcl4-dev_4.1.1-2_amd64.deb (--unpack):
   trying to overwrite '/usr/lib/x86_64-linux-gnu/itclConfig.sh', which is also 
in package itcl3-dev:amd64 3.4.3-1
  Selecting previously unselected package tk-itk4:amd64.
  Preparing to unpack .../tk-itk4_4.1.0-2_amd64.deb ...
  Unpacking tk-itk4:amd64 (4.1.0-2) ...
  Selecting previously unselected package tk-itk4-dev:amd64.
  Preparing to unpack .../tk-itk4-dev_4.1.0-2_amd64.deb ...
  Unpacking tk-itk4-dev:amd64 (4.1.0-2) ...
  dpkg: error processing archive 
/var/cache/apt/archives/tk-itk4-dev_4.1.0-2_amd64.deb (--unpack):
   trying to overwrite '/usr/lib/x86_64-linux-gnu/itkConfig.sh', which is also 
in package itk3-dev:amd64 3.4.2-1
  Errors were encountered while processing:
   /var/cache/apt/archives/tcl-itcl4-dev_4.1.1-2_amd64.deb
   /var/cache/apt/archives/tk-itk4-dev_4.1.0-2_amd64.deb


Andreas

_______________________________________________
Pkg-tcltk-devel mailing list
Pkg-tcltk-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-tcltk-devel

Reply via email to